﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace F122475_SampleApp1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void xamDataGrid1_RecordExpanding(object sender, Infragistics.Windows.DataPresenter.Events.RecordExpandingEventArgs e)
        {
            if((String)e.Record.FieldLayout.Key == "DataTable1")
            {
                if (!e.Record.HasChildren)
                {
                    String parentKey = (String)(e.Record as DataRecord).Cells["Key"].Value;
                    (Resources["viewModel"] as MainWindowViewModel).SampleData.Tables["DataTable2"].Rows.Add(new object[] { parentKey, "temp", "", "", "" });
                    e.Record.Tag = "marked";
                    return;
                }
            }
        }

        private void xamDataGrid1_RecordExpanded(object sender, Infragistics.Windows.DataPresenter.Events.RecordExpandedEventArgs e)
        {
            if ((String)e.Record.FieldLayout.Key == "DataTable1")
            {
                if ((String)e.Record.Tag == "marked")
                {
                    (Resources["viewModel"] as MainWindowViewModel).SampleData.Tables["DataTable2"].Rows.RemoveAt(0);
                    e.Record.Tag = null;
                    return;
                }
            }
        }
    }
}
